//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
USERES("grafiles.res");
USEPACKAGE("vcl50.bpi");
USEUNIT("..\source\pngoutputstream.cpp");
USEUNIT("..\source\bmpdecoder.cpp");
USEUNIT("..\source\bmpencoder.cpp");
USEUNIT("..\source\crc32.cpp");
USEUNIT("..\source\deflateencoder.cpp");
USEUNIT("..\source\deflatehuffmanencoder.cpp");
USEUNIT("..\source\imagetype.cpp");
USEUNIT("..\source\inflatedecoder.cpp");
USEUNIT("..\source\inflatehuffmandecoder.cpp");
USEUNIT("..\source\inputbytestream.cpp");
USEUNIT("..\source\jfif.cpp");
USEUNIT("..\source\jpgdecoder.cpp");
USEUNIT("..\source\jpgdecodercomponent.cpp");
USEUNIT("..\source\jpgdecoderdataunit.cpp");
USEUNIT("..\source\jpgdecoderquantization.cpp");
USEUNIT("..\source\jpgencoder.cpp");
USEUNIT("..\source\jpgencodercomponent.cpp");
USEUNIT("..\source\jpgencoderdataunit.cpp");
USEUNIT("..\source\jpgencoderquantization.cpp");
USEUNIT("..\source\jpghuffmandecoder.cpp");
USEUNIT("..\source\jpghuffmanencoder.cpp");
USEUNIT("..\source\jpginputfilestream.cpp");
USEUNIT("..\source\jpginputmapstream.cpp");
USEUNIT("..\source\jpgoutputfilestream.cpp");
USEUNIT("..\source\jpgpvt.cpp");
USEUNIT("..\source\outputbytestream.cpp");
USEUNIT("..\source\pngdecoder.cpp");
USEUNIT("..\source\pngencoder.cpp");
USEUNIT("..\source\pnginputfilestream.cpp");
USEUNIT("..\source\pnginputmapstream.cpp");
USEUNIT("..\source\pnginputstream.cpp");
USEUNIT("..\source\pngoutputfilestream.cpp");
USEUNIT("..\source\bitmapimage.cpp");
USEUNIT("vclpng.cpp");
USEUNIT("vclbmimage.cpp");
USEUNIT("vclstrm.cpp");
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------

//   Package source.
//---------------------------------------------------------------------------
#include "vclpng.h"

namespace
{
void Startup ()
{
  TPicture::RegisterFileFormat (__classid (TPicture), "png", "PNG File", __classid (TCbPng)) ;
}
void Shutdown ()
{
  TPicture::UnregisterGraphicClass (__classid (TPicture), __classid (TCbPng)) ;
}
#pragma startup Startup
#pragma exit Shutdown
}

#pragma argsused
int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
{
  return 1;
}
//---------------------------------------------------------------------------

